<html><head><link type='text/css' href='style.css' rel='stylesheet'></head><body class='pgBgnd'>
<h3 align='center'>Equations</h3>
<table width='90%' align='center' border='1' cellpadding='0' cellspacing='0'>
<tr><td>
</td></tr><tr><td>
********** Mapped Logic **********
</td></tr><tr><td>
FDCPE_Q0: FDCPE port map (Q(0),Q_D(0),CLK,RST,'0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q_D(0) <= ((X AND NOT Q(1))
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (X AND NOT Q(2) AND NOT Q(0)));
</td></tr><tr><td>
FDCPE_Q1: FDCPE port map (Q(1),Q_D(1),CLK,RST,'0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q_D(1) <= ((NOT X AND NOT Q(2) AND Q(0))
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (X AND NOT Q(2) AND NOT Q(0) AND Q(1))
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (NOT X AND Q(2) AND NOT Q(0) AND NOT Q(1)));
</td></tr><tr><td>
FDCPE_Q2: FDCPE port map (Q(2),Q_D(2),CLK,RST,'0');
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Q_D(2) <= ((X AND Q(2) AND NOT Q(0) AND NOT Q(1))
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	OR (X AND NOT Q(2) AND Q(0) AND Q(1)));
</td></tr><tr><td>
</td></tr><tr><td>
Y <= (Q(2) AND NOT Q(0) AND NOT Q(1));
</td></tr><tr><td>
Register Legend:
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; FDCPE (Q,D,C,CLR,PRE,CE); 
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; FTCPE (Q,D,C,CLR,PRE,CE); 
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; LDCP  (Q,D,G,CLR,PRE); 
</td></tr><tr><td>
</td></tr>
</table>
<form><span class="pgRef"><table width="90%" align="center"><tr>
<td align="left"><input type="button" onclick="javascript:parent.leftnav.showTop()" onmouseover="window.status='goto top of page'; return true;" onmouseout="window.status=''" value="back to top"></td>
<td align="right"><input type="button" onclick="window.print()" onmouseover="window.status='print page'; return true;" onmouseout="window.status=''" value="print page"></td>
</tr></table></span></form>
</body></html>
